# textgrid config
# try to avoid trailing slashes (/)
textgrid.host = https://textgridlab.org
textgrid.search.url = ${textgrid.host}/1.0/tgsearch-public

# textapi service config
service.url = http://localhost:8080/textapi
service.proxyIdentifier = textapi.textgridlab.org

# textapi validation - https://gitlab.gwdg.de/subugoe/textapi/validation
#validator.url = https://validation.textapi.sub.uni-goettingen.de/
validator.url = http://127.0.0.1:8000

# cors
quarkus.http.cors=true
quarkus.http.cors.origins=*
quarkus.http.cors.headers=accept, authorization, content-type, x-requested-with
quarkus.http.cors.methods=GET, OPTIONS

# native build
quarkus.native.additional-build-args =-H:ReflectionConfigurationFiles=reflection-config.json

# jandex maven plugin did not really work on this dependecies (via tgsearch-api), but manually adding here helps...?
quarkus.index-dependency.metadata-core-jaxb.group-id=info.textgrid.namespaces
quarkus.index-dependency.metadata-core-jaxb.artifact-id=metadata-core-jaxb
quarkus.index-dependency.portalconfig-jaxb.group-id=info.textgrid.namespaces
quarkus.index-dependency.portalconfig-jaxb.artifact-id=portalconfig-jaxb

# openapi
quarkus.smallrye-openapi.path=/textapi/openapi
quarkus.smallrye-openapi.info-title=TextGrid TextAPI Service
%dev.quarkus.smallrye-openapi.info-title=TextGrid TextAPI Service (development)
quarkus.smallrye-openapi.info-description=[TextAPI](https://textapi.sub.uni-goettingen.de/page/specs/) metadata service for TextGrid resources
quarkus.smallrye-openapi.info-contact-email=anfragen@textgrid.de
quarkus.smallrye-openapi.info-contact-name=Contact
quarkus.smallrye-openapi.info-contact-url=https://textgrid.de/en/kontakt/
quarkus.smallrye-openapi.info-license-name=LGPL 3.0
quarkus.smallrye-openapi.info-license-url=https://www.gnu.org/licenses/lgpl-3.0.html

# k8s & container image
quarkus.container-image.registry=docker.gitlab.gwdg.de
quarkus.container-image.group=dariah-de/textgridrep
#%prod.quarkus.kubernetes-config.enabled=true
#%prod.quarkus.kubernetes-config.config-maps=app-config
quarkus.kubernetes.ingress.expose=true
quarkus.kubernetes.ingress.host=${service.proxyIdentifier}
# https://quarkus.io/guides/deploying-to-kubernetes#generating-idempotent-resources
quarkus.kubernetes.idempotent=true

# mapping env variables for k8s
quarkus.kubernetes.env.vars.textgrid-host=${textgrid.host}
quarkus.kubernetes.env.vars.textgrid-search-url=${textgrid.search.url}
quarkus.kubernetes.env.vars.service-url=${service.url}
quarkus.kubernetes.env.vars.validator-url=${validator.url}

# resource limits (check rancher, this app does not seem to consume more than 64M, but observe and adapt)
quarkus.kubernetes.resources.requests.memory=64Mi
quarkus.kubernetes.resources.requests.cpu=100m
quarkus.kubernetes.resources.limits.memory=256Mi
quarkus.kubernetes.resources.limits.cpu=500m
